Skip to content
Assets Overview

Query Account Total Asset

This interface is used to query the total asset overview of a specified securities account. By providing the account number account_no and currency currency, it returns the total assets total_asset, total cash total_cash, and a market value list mv_list broken down by market and currency. Note that the total assets exclude funds, bonds, OTC assets, and in-transit funds.

POSThttps://b-api.longbridge.xyz/v1/whaleapi/asset/detail_info

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Request body application/json

account_nostringrequired

account. account

currencystringrequired

currency: HKD, USD. currency: HKD, USD

Responses

HTTP 200Fields are taken from the real responses definition for this operation in the published Whale OpenAPI spec (whale-openapi/Whale-openapi.json).
Standard response envelopecodemessagedata
dataobjectdata structure
total_assetstringrequired

Total Asset. Total Asset

total_cashstringrequired

Total Cash Amount. Total Cash Amount

total_mvstringrequired

Total Market Value. Total Market Value

mv_listarray<object>required

mv_list

Child attributes
currencystringrequired

Currency. Currency

mvstringrequired

Market Value. Market Value

marketstringrequired

Market. Market

margin_infoobjectrequired

margin_info

Child attributes
imstringrequired

im

mmstringrequired

mm

fmstringrequired

fm

mcmstringrequired

mcm

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs